RDKit::MolFileUnhandledFeatureException Class Reference

`#include <FileParsers.h>`

Inheritance diagram for RDKit::MolFileUnhandledFeatureException:

## Public Member Functions

| MolFileUnhandledFeatureException (const char *msg)
| construct with an error message More...
| MolFileUnhandledFeatureException (const std::string msg)
| construct with an error message More...
const char * | message () const
| get the error message More...
| ~MolFileUnhandledFeatureException () noexcept override

## Detailed Description

Definition at line 28 of file FileParsers.h.

## Constructor & Destructor Documentation

## MolFileUnhandledFeatureException() [1/2]

RDKit::MolFileUnhandledFeatureException::MolFileUnhandledFeatureException | ( | const char * | msg | ) |

inline explicit

construct with an error message

Definition at line 31 of file FileParsers.h.

## MolFileUnhandledFeatureException() [2/2]

RDKit::MolFileUnhandledFeatureException::MolFileUnhandledFeatureException | ( | const std::string | msg | ) |

inline explicit

construct with an error message

Definition at line 33 of file FileParsers.h.

## ~MolFileUnhandledFeatureException()

RDKit::MolFileUnhandledFeatureException::~MolFileUnhandledFeatureException | ( |  | ) |

inline override noexcept

Definition at line 37 of file FileParsers.h.

## Member Function Documentation

## message()

const char* RDKit::MolFileUnhandledFeatureException::message | ( |  | ) | const

inline

get the error message

Definition at line 36 of file FileParsers.h.

The documentation for this class was generated from the following file:

- FileParsers.h